<?php
/* WP GDPR Compliance support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('pastore_church_wp_gdpr_compliance_theme_setup')) {
    add_action( 'pastore_church_action_before_init_theme', 'pastore_church_wp_gdpr_compliance_theme_setup', 1 );
    function pastore_church_wp_gdpr_compliance_theme_setup() {
        if (is_admin()) {
            add_filter( 'pastore_church_filter_required_plugins', 'pastore_church_wp_gdpr_compliance_required_plugins' );
        }
    }
}

// Check if Instagram Widget installed and activated
if ( !function_exists( 'pastore_church_exists_wp_gdpr_compliance' ) ) {
    function pastore_church_exists_wp_gdpr_compliance() {
        return defined( 'WP_GDPR_Compliance_VERSION' );
    }
}


// Filter to add in the required plugins list
if ( !function_exists( 'pastore_church_wp_gdpr_compliance_required_plugins' ) ) {
    //Handler of add_filter('pastore_church_filter_required_plugins',	'pastore_church_wp_gdpr_compliance_required_plugins');
    function pastore_church_wp_gdpr_compliance_required_plugins($list=array()) {
        if (in_array('wp-gdpr-compliance', pastore_church_storage_get('required_plugins'))) {
                $list[] = array(
                    'name' 		=> 'WP GDPR Compliance',
                    'slug' 		=> 'wp-gdpr-compliance',
                    'required' 	=> false
                );
        }
        return $list;
    }
}

